Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.memcache
Class LogAndContinueErrorHandler

    java.lang.Object
      com.google.appengine.api.memcache.LogAndContinueErrorHandler

All Implemented Interfaces:
  ErrorHandler

Direct Known Subclasses:
  ConsistentLogAndContinueErrorHandler

Deprecated. Use `ConsistentLogAndContinueErrorHandler` instead

    @Deprecated
    public class LogAndContinueErrorHandler

extends java.lang.Object
implements ErrorHandler

The default error handler, which will cause most service errors to behave as though there were a cache miss, not an error.

Constructor Summary
`LogAndContinueErrorHandler(java.util.logging.Level level)` Deprecated. Constructor for a given logging level.

Method Summary
`void` | `handleDeserializationError(InvalidValueException thrown)` Deprecated. Logs the `thrown` error condition, but does not expose it to application code.
`void` | `handleServiceError(MemcacheServiceException thrown)` Deprecated. Logs the `thrown` error condition, but does not expose it to application code.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogAndContinueErrorHandler

    public LogAndContinueErrorHandler(java.util.logging.Level level)

  Deprecated.
  Constructor for a given logging level.

  Parameters:
    `level` - the level at which back-end errors should be logged.

Method Detail

### handleDeserializationError

    public void handleDeserializationError(InvalidValueException thrown)

  Deprecated.
  Logs the `thrown` error condition, but does not expose it to application code.

  Specified by:
    `handleDeserializationError` in interface `ErrorHandler`
  Parameters:
    `thrown` - the classpath error exception

### handleServiceError

    public void handleServiceError(MemcacheServiceException thrown)

  Deprecated.
  Logs the `thrown` error condition, but does not expose it to application code.

  Specified by:
    `handleServiceError` in interface `ErrorHandler`
  Parameters:
    `thrown` - the service error exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD